## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-snakemake-storage-plugin-gcs
Version:        1.1.3
Release:        %autorelease
Summary:        A Snakemake storage plugin for Google Cloud Storage

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-storage-plugin-gcs
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-storage-plugin-gcs-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}
BuildRequires:  snakemake >= 8

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-snakemake-storage-plugin-gcs
Summary:        %{summary}

%description -n python3-snakemake-storage-plugin-gcs %{common_description}


%prep
%autosetup -n snakemake-storage-plugin-gcs-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_storage_plugin_gcs


%check
# Just in case the tests are not very thorough:
%pyproject_check_import

# The following tests require network access *and* cloud credentials:
k="${k-}${k+ and }not (TestStorage and test_list_candidate_matches)"
k="${k-}${k+ and }not (TestStorage and test_storage)"
k="${k-}${k+ and }not (TestStorage and test_storage_dbg)"
k="${k-}${k+ and }not (TestStorage and test_storage_not_existing)"

%pytest -v -k "${k-}" tests/tests.py


%files -n python3-snakemake-storage-plugin-gcs -f %{pyproject_files}
%license COPYRIGHT LICENSE NOTICE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed Mar 12 2025 Packit <hello@packit.dev> - 1.1.3-1
- Update to 1.1.3 upstream release
- Resolves: rhbz#2351749

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 10 2024 Packit <hello@packit.dev> - 1.1.2-1
- Update to 1.1.2 upstream release
- Resolves: rhbz#2317926

* Fri Aug 23 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-2
- Rebuild due to wrong build order in F42/Rawhide

* Fri Aug 23 2024 Packit <hello@packit.dev> - 1.1.1-1
- Update to 1.1.1 upstream release
- Resolves: rhbz#2307481

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.0.0-2
- Rebuilt for Python 3.13

* Fri Apr 26 2024 Packit <hello@packit.dev> - 1.0.0-1
- Update to 1.0.0 upstream release
- Resolves: rhbz#2277388

* Sun Mar 10 2024 Packit <hello@packit.dev> - 0.1.4-1
- [packit] 0.1.4 upstream release
- Resolves rhbz#2268801

* Wed Jan 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.3-1
- Initial package (close RHBZ#2259247)
## END: Generated by rpmautospec
